org.apache.http.nio

## Interface NHttpConnectionFactory<T extends NHttpConnection>

All Known Implementing Classes:
  DefaultNHttpClientConnectionFactory, DefaultNHttpServerConnectionFactory, SSLNHttpClientConnectionFactory, SSLNHttpServerConnectionFactory

    public interface NHttpConnectionFactory<T extends NHttpConnection>

Factory for `NHttpConnection` instances.

Since:
  4.2

### Method Summary

Methods
`T` `createConnection(IOSession session)`

### Method Detail

#### createConnection

    T createConnection(IOSession session)